database_api.list_account_recovery_requests
since HF11
Purpose
Restituisce un elenco di richieste di recupero (recovery request) dell’account. Parametri: start:string, limit:int, order:string
limitè fino a 1000.orderpuò essere uno tra:by_account- ordina per nome dell’accountby_expiration- ordina per scadenza
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | Interroga le richieste di recupero per l’account denominato "steemit", ordinate per nome dell’account. | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| Interroga le richieste di recupero per data, ordinate per scadenza. |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}